### 5.1.88 maxideal

`Syntax:`
  `maxideal (` int_expression `)`
`Type:`
  ideal
`Purpose:`
  returns the power given by int_expression of the maximal ideal generated by all ring variables (`maxideal(i)=1` for `i<=0`).
`Example:`

        ring r=32003,(x,y,z),dp;
        maxideal(2);
      ==> _[1]=z2
      ==> _[2]=yz
      ==> _[3]=y2
      ==> _[4]=xz
      ==> _[5]=xy
      ==> _[6]=x2

See ideal; ring.

User manual for Singular version 4.4.1, 2025, generated by texi2html.